void talk( void )
{
freeze(1);
 if (&story == 15)
 {
 playmidi("1011");
 say_stop("`%小森林回来了！！！！", &current_sprite);
 wait(300);
 say_stop("帝下,我带来了不幸的消息。",1);
 wait(300);
 say_stop("Flatstomp骑士牺牲了。 他勇敢地死在了我的怀中。", 1);
 wait(300);
 say_stop("`%我会告诉 Lyna。  我已为此准备过了。", &current_sprite);
 wait(300);
 say_stop("另外 - 古老的XE物 Seth 已被我消灭。", 1);
 wait(300);
 say_stop("`%太棒了！ 这下世界就安全了！！", &current_sprite);

  say_stop_xy("恭喜恭喜！", 20, 380);
 wait(300);
  say_stop_xy("恭喜你成功通关。", 20, 380);
 wait(300);
  say_stop_xy("恭喜你成功把一个羞涩的男孩变成了个男人。", 20, 380);
 wait(300);
  say_stop_xy("可这就完了吗？", 20, 380);
 wait(300);
  say_stop_xy("还早着呢。", 20, 380);
 wait(300);
  say_stop_xy("还有更多的故事等待着你。", 20, 380);
 wait(300);
  say_stop_xy("可以去bbs.cnscg.com继续讨论", 20, 380);
 wait(300);
  say_stop_xy("谱写自己的故事", 20, 380);
 wait(300);
  say_stop_xy("Special thanks to the following:", 20, 380);
 wait(300);
  say_stop_xy("Justin - sorry I made you draw blood ;)", 20, 380);
 wait(300);
  say_stop_xy("Pap - Great level design and story (when you were here...)", 20, 380);
 wait(300);
  say_stop_xy("Shawn - corndogs are NOT the food of the God's", 20, 380);
 wait(300);
  say_stop_xy("(for other unwise sayings, check out the QUOTES.TXT file)", 20, 380);
 wait(300);
  say_stop_xy("Thanks for playing - Seth", 20, 380);

 wait(300);
 say_stop("`%And now, food for my hungry hero!", &current_sprite);

playsound(24, 22052, 0, 0, 0);
int &mcrap = create_sprite(273, 264, 7, 167, 1);
sp_seq(&mcrap, 167);
wait(200);
 &temp1hold = create_sprite(273, 264, 0,0,0);
 sp_script(&temp1hold, "rpotion");
wait(300);

playsound(24, 22052, 0, 0, 0);
int &mcrap = create_sprite(336, 264, 7, 167, 1);
sp_seq(&mcrap, 167);
wait(200);
 &temp1hold = create_sprite(336, 264, 0,0,0);
 sp_script(&temp1hold, "rpotion");
wait(300);

playsound(24, 22052, 0, 0, 0);
int &mcrap = create_sprite(401, 264, 7, 167, 1);
sp_seq(&mcrap, 167);
wait(200);
 &temp1hold = create_sprite(401, 264, 0,0,0);
 sp_script(&temp1hold, "rpotion");
wait(300);


playsound(24, 22052, 0, 0, 0);
int &mcrap = create_sprite(273, 302, 7, 167, 1);
sp_seq(&mcrap, 167);
wait(200);
 &temp1hold = create_sprite(273, 302, 0,0,0);
 sp_script(&temp1hold, "ppotion");
wait(300);

playsound(24, 22052, 0, 0, 0);
int &mcrap = create_sprite(336, 302, 7, 167, 1);
sp_seq(&mcrap, 167);
wait(200);
 &temp1hold = create_sprite(336,302, 0,0,0);
 sp_script(&temp1hold, "ppotion");
wait(300);

playsound(24, 22052, 0, 0, 0);
int &mcrap = create_sprite(401, 302, 7, 167, 1);
sp_seq(&mcrap, 167);
wait(200);
 &temp1hold = create_sprite(401,302, 0,0,0);
 sp_script(&temp1hold, "ppotion");
wait(300);



 &story = 16;
 unfreeze(1);
 return;
 }


 if (&story == 16)
 {
 say("`%啊, 我最喜爱的话题！", &current_sprite);
 unfreeze(1);
 return;
 }



 if (&story == 14)
 {
  say_stop("`%丁克，你必须抓紧了。", &current_sprite);
 unfreeze(1);
 return;
 }

 if (&story == 12)
 {
  say_stop("`%你好， 丁克。", &current_sprite);
  wait(300);
  say_stop("`%我听了很多关于你的故事 - 很高兴见到你。", &current_sprite);
  wait(300);
  say_stop("草民丁克参见皇上，皇上万岁万岁万万岁。", 1);
  wait(300);
  say_stop("`%免礼，平身",&current_sprite);
  wait(300);
  say_stop("谢皇上。", 1);
  wait(300);
  say_stop("`%你需要我帮你什么忙呢？是要MM还是要钱还是要.....叫兽？", &current_sprite);
  wait(300);
  &story = 13;
  }

  choice_start();
(&story == 13)  "抱怨高税率"
(&story == 13)  "提出帮助 Milder"
 (&rebel > 0) "篡位"
 (&king > 0) "抽取税收"
  "没...没事"
  choice_end();

if (&result == 1)
   {
    //whine about taxes
  wait(300);
  say_stop("嗯... 我觉得皇上该降低养猪税/", 1);
  wait(300);
  say_stop("`%哦。这样啊？", &current_sprite);
  wait(300);
  say_stop("是啊 - 偶家每年读被这个猪头睡搞得晕头转向。", 1);
  wait(300);
  say_stop("`%好的，我会考虑的，嗯,真的，真的会考虑的。", &current_sprite);
   }

if (&result == 2)
   {
    //help Milder
  wait(300);
  say_stop("我听说了 Milder的事。", 1);
  wait(300);
  say_stop("`%是.. 他是个勇敢的骑士 - 非常明白黑暗大陆的危险的他...", &current_sprite);
  wait(300);
  say_stop("`%不顾一切地冲了进去。  而带现在也没能回来。", &current_sprite);
  wait(300);
  say_stop("皇上，草民愿意去找他。", 1);
  wait(300);
  say_stop("`%你？丁克？  那可是自杀啊。", &current_sprite);
  wait(300);
  say_stop("他是我同乡 - 我不能弃他不顾。", 1);
  wait(300);
  say_stop("`%而我也无法拒绝你的请求。", &current_sprite);
  wait(300);
  say_stop("`%但是... 就算到达黑暗大陆也不是件容易的事...", &current_sprite);
  wait(300);
  say_stop("请指教。", 1);
  wait(300);
  say_stop("`%从城堡出发往北走，直到那山崖边。", &current_sprite);
  wait(300);
  say_stop("`%那里会有人带你通过。", &current_sprite);
  wait(300);
  say_stop("`%嗯，对了丁克...", &current_sprite);
  wait(300);
  say_stop("`%世上发生了很多奇怪的事...", &current_sprite);
  wait(300);
  say_stop("`%听说那里正是一切的起源，一定要当心。", &current_sprite);
  wait(300);
  say_stop("谢谢。  我一定会回来的，而且，回来的并不会只有我一个。", 1);
  &story = 14;
   }

if (&result == 3)
{ //篡位
  say_stop ("`%这位英雄,求求你放了我吧",&current_sprite);
  wait(300);
  say_stop ("哼,放了你我有什么好处?",1);
  wait(300);
  say_stop ("`%我让你当国王呀,怎么样?",&current_sprite);
  wait (300);
  say_stop ("哼,算你识项",1);
  &rebel = 0;
  &king = 1;
  wait(300);
  say_stop("我也当上国王啦",1);
}   

if (&result == 4)
{ //税收
  say_stop ("`%报告国王，从国库里取了300金出来供您使用",&current_sprite);
  &gold += 300;
}
 
unfreeze(1);

}


 void hit ( void )
 {
  //they try to damage the king

  say_stop("`%哪泥？？你居然敢碰我龙凤之躯？？", &current_sprite);
  wait(300);
  say_stop("`%啊，对哦，我对著名的丁克那XE的幽默感也有所耳闻", &current_sprite);
 }
